Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.writer.filesystem.map
Class MappingFileWriter

    java.lang.Object
      kieker.monitoring.writer.filesystem.map.MappingFileWriter

    public final class MappingFileWriter

extends Object

This writer is a helper class to handle the mapping files for Kieker's records, containing the mapping between short IDs and actual record classes. It provides the possibility to create these mapping files and to write the mappings into them.

Since:
  1.7
Author:
  Andre van Hoorn, Jan Waller

Constructor Summary
`MappingFileWriter(String path)` Creates a new instance of this class using the given parameters.

Method Summary
`void` | `write(RegistryRecord hashRecord)` Writes the given mapping into the mapping file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingFileWriter

    public MappingFileWriter(String path)
                      throws IOException

  Creates a new instance of this class using the given parameters.

  Parameters:
    `path` - The path containing the record files. The writer will put the mapping file into this directory.
  Throws:
    `IOException` - If the mapping file has already been created.

Method Detail

### write

    public final void write(RegistryRecord hashRecord)
                     throws IOException

  Writes the given mapping into the mapping file.

  Parameters:
    `hashRecord` - The mapping between the ID and the actual object.
  Throws:
    `IOException` - If something went wrong during the writing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net